package cn.net.caoyao.cpzshandset.bean;

import java.util.List;

public class LoginBean {
    /**
     * code : 200
     * msg : 操作成功
     * data : {"token":"eyJhbGciOiJIUzUxMiJ9.eyJsb2dpbl91c2VyX2tleSI6IjAzYWFkYWM2LWVmMDctNDg0NS1hZTY5LWQzZTM5NjRmMmE1NyJ9.0RXgXXO2WtBN0VTE8o53fZwaAZ-uFWNQkLucOMko06UQI1G1ng1P-ie8X2Rz4YqYAs6l064KotvQ8m8SZvUevw","access":["0"],"companyName":"北京生物","companyId":100000}
     */

    private int code;
    private String msg;
    private DataBean data;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public DataBean getData() {
        return data;
    }

    public void setData(DataBean data) {
        this.data = data;
    }

    public static class DataBean {
        /**
         * token : eyJhbGciOiJIUzUxMiJ9.eyJsb2dpbl91c2VyX2tleSI6IjAzYWFkYWM2LWVmMDctNDg0NS1hZTY5LWQzZTM5NjRmMmE1NyJ9.0RXgXXO2WtBN0VTE8o53fZwaAZ-uFWNQkLucOMko06UQI1G1ng1P-ie8X2Rz4YqYAs6l064KotvQ8m8SZvUevw
         * access : ["0"]
         * companyName : 北京生物
         * companyId : 100000
         */

        private String token;
        private String companyName;
        private int companyId;
        private List<String> access;

        public String getToken() {
            return token;
        }

        public void setToken(String token) {
            this.token = token;
        }

        public String getCompanyName() {
            return companyName;
        }

        public void setCompanyName(String companyName) {
            this.companyName = companyName;
        }

        public int getCompanyId() {
            return companyId;
        }

        public void setCompanyId(int companyId) {
            this.companyId = companyId;
        }

        public List<String> getAccess() {
            return access;
        }

        public void setAccess(List<String> access) {
            this.access = access;
        }
    }
}
